Bug 1299260 - Downloading stuff from Firefox fails
Downloading stuff from Firefox fails
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
22
All Linux
unspecified Severity low
: ---
: ---
Assigned To: Martin Stransky
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-17 17:52 EST by rmhristev
Modified: 2016-08-16 00:06 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-26 09:29:38 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description rmhristev 2016-01-17 17:52:00 EST
Description of problem:

Fedora 22 with latest patches updated to 15 Jan 2016

Firefox 43.0.3: downloading files fails

Version-Release number of selected component (if applicable):

43.0.3-1

How reproducible:

Always

Steps to Reproduce:
1. try to download something directly.
2. fails immediately, shown as failed download

Additional info:

Here are the experiments I've done:

1. New user, new account, pristine Firefox as coming out of the box, fails, including the safe mode (reset is meaningless for new installs)
2. Downloads are OK via specialized plugins
3. Downloads are OK with Google Chrome
4. Another user who had the Firefox 43.0.3 opened for a while, have the downloads working (?!), verified by me in person
5. SELinux is in permissive mode (besides, the downgrade works)
6. Workaround: downgrading Firefox to 38.0.1 works

My educated guess so far: is either a bug in 43.0.3 or a bug that is triggered by linking to specific version of external libraries.

2+3+5 suggest it is not a permissions problem

1+6 suggests it's a specific version problem

4 is strange: maybe it'a a Firefox bug that is triggered by a specific version of a liked library ? Could not duplicate, sorry.

Thank you for your attention.
Comment 1 Martin Stransky 2016-01-25 08:17:38 EST
Can you please test latest build from koji? 

http://koji.fedoraproject.org/koji/buildinfo?buildID=712838

I have a report that it's fixed there from another user.

Note You need to log in before you can comment on or make changes to this bug.